Bug 1874856 - [sig-arch] Managed cluster should ensure pods use downstream images from our release image with proper ImagePullPolicy [NEEDINFO]
Summary: [sig-arch] Managed cluster should ensure pods use downstream images from our ...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: David Eads
QA Contact: RamaKasturi
URL:
Whiteboard:
: 1874524 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 12:51 UTC by David Eads
Modified: 2020-09-14 06:46 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-arch] Managed cluster should ensure pods use downstream images from our release image with proper ImagePullPolicy
Last Closed:
Target Upstream Version:
ysegev: needinfo? (deads)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 549 None closed bug 1874856: use local must-gather image if it is present 2020-09-14 06:05:25 UTC

Description David Eads 2020-09-02 12:51:37 UTC
test:
[sig-arch] Managed cluster should ensure pods use downstream images from our release image with proper ImagePullPolicy 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-arch%5C%5D+Managed+cluster+should+ensure+pods+use+downstream+images+from+our+release+image+with+proper+ImagePullPolicy


FIXME: Replace this paragraph with a particular job URI from the search results to ground discussion.  A given test may fail for several reasons, and this bug should be scoped to one of those reasons.  Ideally you'd pick a job showing the most-common reason, but since that's hard to determine, you may also chose to pick a job at random.  Release-gating jobs (release-openshift-...) should be preferred over presubmits (pull-ci-...) because they are closer to the released product and less likely to have in-flight code changes that complicate analysis.

FIXME: Provide a snippet of the test failure or error from the job log

Comment 3 Ben Parees 2020-09-03 15:27:18 UTC
*** Bug 1874524 has been marked as a duplicate of this bug. ***

Comment 4 RamaKasturi 2020-09-04 07:26:41 UTC
Verified with the payload below and i see that the imagePullPolicy has been changed to "IfNotPresent" from PullAlways.

[ramakasturinarra@dhcp35-60 openshift-client-linux-4.6.0-0.nightly-2020-09-03-191144]$ oc version
Client Version: 4.6.0-202009040156.p0-ae6fae6
Server Version: 4.6.0-0.nightly-2020-09-03-191144
Kubernetes Version: v4.6.0-202009031349.p0-dirty

spec:
  containers:
  - command:
    - /usr/bin/gather
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:868b6c6113db3c0750d17dfc21193687bb8689137263578f4bc1ce0b71506af5
    imagePullPolicy: IfNotPresent
    name: gather
    resources: {}
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /must-gather
      name: must-gather-output
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: default-token-9kq2b
      readOnly: true
  - command:
    - /bin/bash
    - -c
    - 'trap : TERM INT; sleep infinity & wait'
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:868b6c6113db3c0750d17dfc21193687bb8689137263578f4bc1ce0b71506af5
    imagePullPolicy: IfNotPresent
    name: copy
    resources: {}
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /must-gather
      name: must-gather-output
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: default-token-9kq2b
      readOnly: true
  dnsPolicy: ClusterFirst

Comment 5 Yossi Segev 2020-09-14 06:46:18 UTC
The fix for this bug (https://github.com/openshift/oc/pull/549) revives bug #1866380.
The need of using pull-policy "IfNotPresent" whenever possible is clear, but if you look at the description of that bug (https://bugzilla.redhat.com/show_bug.cgi?id=1866380#c0), you'll realize that in the specific case of must-gather - the pull-policy should be "PullAlways".
Is it possible to revert this fix, please?
Thanks!


Note You need to log in before you can comment on or make changes to this bug.